Subject: RE: [nemo] RE: draft-ietf-nemo-home-network-models-05

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Wed, 15 Feb 2006 09:53:14 +0100

>-----Original Message-----
>From: Mattias Pettersson L (LD/EAB)
[mailto:[email-masked]]
>Sent: Tuesday, February 14, 2006 5:09 PM
>To: Pascal Thubert (pthubert); Alexandru Petrescu
>Cc: [email-masked]; [email-masked]; Margaret Wasserman;
[email-masked];
>[email-masked]; [email-masked]
>Subject: RE: [nemo] RE: draft-ietf-nemo-home-network-models-05
>
>Hi Pascal,
>
>> Yes, the idea is that the prefix is generally shorter than /64.
>>
>> We had long discussions in this ML about autoconfigs with
>> shorter prefixes (Alex?). But yes, NEMO should work in theory
>> with a shorter prefix assigned to the Home Link. Note that
>> NEMO does not require autoconf operations; and last that I
>> know, a Cisco router will not auto-configure an address on a
>> prefix that is shorter than 64.
>
>I'm not sure that ND will work for anything but /64. Maybe the
intention
>was so, but as you say, not all implementations support different
prefix
>lengths.
>
>Still you will need the address resolution parts of ND, even though the
>HA and MRs doesn't autoconfigure addresses on the home link.

[Pascal] That should work. Do you know of an implementation that would
not operate NS/NA correctly on a non /64 network? 

I agree with you that HA and MRs doesn't autoconfigure addresses on the
home link, it's good that you point it out.

>The big issue is the ambiguity of which link/subnet a specific address
>belongs to. For instance, given a packet destined to a specific MNN,
>does the HA know if it should route (via an MR) or send directly to the
>MNN (by using ND address resolution to get the MAC address)?
>
[Pascal] Well, the HA is a still a router. 

For addresses that are part of an MNP, the HA should have an MNP route
via the MR, and route accordingly via the MR, whether it is Home or not.

The longest match in the routing table will be the connected route to
the aggregated home network only for addresses that:
- are not in an MNP => then look up at ND level is what you want to do
- are in an MNP of a MR that is away from home and not registered =>
then ND lookup is still OK and it will fail, that's fine

Again, I do not like it, but it works...

>ND proxy/MLSR according to Thaler extends a /64 subnet across multiple
>links. But the suggested behaviour here is different.
>
[Pascal] Nope. It's the same thing: HA is doing proxy for individual
/64s that are identified as such because they are associated with a MR
binding.

Pascal